Part FügeEinbetten

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part JoinEmbed and the translation is 43% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Vorherige: Part JoinConnect.svg FügeVerbinden

Part VerbindeEinbetten

Menüeintrag
Part → Verbinden → Objekt einbinden
Arbeitsbereich
Part
Standardtastenkürzel
Keiner
Eingeführt in Version
0.16
Siehe auch
Part VerbindeEinbetten, Part FügeAusschnitt, Part Bool'sche Operationen, Part Dicke

Beschreibung

Embed tool embeds a walled object (e.g., a pipe) into another walled object.

JoinFeatures Embed.png

Anwendung

  1. Wähle zuerst das Basisobjekt, dann das Objekt, um den Ausschnitt zu definieren.
    Die Reihenfolge der Auswahl ist wichtig. Es reicht aus, nur eine Teilform jedes Objekts (z.B. Flächen) auszuwählen.
  2. Führe den Part-Objekt einbinden-Befehl aus.

A Part JoinFeature object is created, with Mode set to 'Embed'. Original objects are hidden, and the result of embedding is shown in 3D view.

Properties

Base

  • DatenBase: Reference to base object (the one the other object is to be embedded into). The object should be a single solid.
  • DatenTool: Reference to tool object (the object to be embedded). The object can be a single solid, or a valid compound of solids.
  • DatenMode: The mode of operation, equals 'Embed' (Changing that will transform the tool into another Part_JoinXXX). The value of 'bypass' can be used to temporarily disable the long computations (a compound of Base and Tool will be created, which is a fast operation).
  • DatenRefine: Sets whether to apply Refine operation or not, to the final shape. The default value is determined by a 'Automatically refine shape after boolean operation' checkbox in PartDesign preferences. When Mode property is 'bypass', Refine is ignored (never applied).

Example

Beispiel

  1. Erstelle ein Rohr durch anwenden einer Dicke auf einen Zylinder:
    JoinFeatures Example step1.png
  2. Erstelle ein weiteres Rohr mit kleinerem Durchmesser und positioniere es so, dass es die Wand des ersten Rohres durchstößt:
    JoinFeatures Example step2.png
  3. Wähle das erste Rohr, dass das zweite (die Reihenfolge der Auswahl ist wichtig), und klicke die 'Objekt einbetten'-Option aus den Verbinden-Werkzeugen in der Werkzeugleiste.
    JoinFeatures Example step3 Embed.png
  4. Benutze ein Querschnitt-Werkzeug (Std Schnittebene, Arch Schnittebene, Arch SchneideEbene), um Schnitte darzustellen. Auf dem folgenden Bild wurde Arch Schnittebene benutzt.
    JoinFeatures Example step4 Embed.png

Algorithm

Algorithmus

Die Algorithmen hinter den Verbindungswerkzeugen sind ziemlich einfach und es ist wichtig, sie zu verstehen, um die Werkzeuge richtig einzusetzen.

1. Basisobjekt ist boolesches Schneiden mit einem Tool-Objekt. Die entstandene Form ist ein Satz (Verbund) von nicht überschneidenden Volumenkörpern (typischerweise zwei).

2. Der entstandene Verbund ist gefiltert: nur der größte Volumenkörper bleibt übrig.

3. Dieser größte Volumenkörper wird verschmolzen mit dem Werkzeug-Objekt.

3. Falls DatenRefine den Wert True hat, ist die entstandene Form verfeinert.

JoinFeatures-Algo-Embed.png

Notes

Hinweise

  • Falls das Objekt nach Schritt 1 ein Stück bliebt, ist das Ergebnis des Ausschnitts äquivalent zu booleschem Schneiden der Basis mit dem Werkzeug.
  • Das Werkzeug wird nun unerwartete Ergebnisse liefern, falls ein Verbund als Basis dient. Dies könnte sich in der Zukunft ändern.
  • Weil das größte Objekt durch Volumenvergleich der Teile festgelegt wird, kann das Werkzeug nur mit Volumenkörpern arbeiten. Da

Because the largest piece is determined by comparing volumes of pieces, the tool can only work with solids. Dies könnte sich in der Zukunft ändern.

Skripten

Die Verbinden-Werkzeuge können in macros/de und von der Python-Konsole aus mit der folgenden Funktion verwendet werden:

JoinFeatures.makePartJoinFeature(name = 'Embed', mode = 'Embed')
  • Creates an empty Embed feature (or other Join feature, depending on mode passed). The properties Base and Tool must be assigned explicitly, afterwards.
  • Returns the newly created object.

Beispiel:

import JoinFeatures
j = JoinFeatures.makePartJoinFeature(name = 'Embed', mode = 'Embed' )
j.Base = FreeCADGui.Selection.getSelection()[0]
j.Tool = FreeCADGui.Selection.getSelection()[1]

Das Werkzeug selbst ist in Python implementiert, siehe /Mod/Part/JoinFeatures.py (GitHub link) innerhalb des FreeCAD-Installationsverzeichnisses.


Arrow-left.svg Vorherige: Part JoinConnect.svg FügeVerbinden